Bug 181840 - Samsung ML-1710 USB printer not being recognized by Fedora rawhide
Samsung ML-1710 USB printer not being recognized by Fedora rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hal-cups-utils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks: FC6Update
  Show dependency treegraph
 
Reported: 2006-02-16 22:53 EST by Rodd Clarkson
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-31 09:00:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodd Clarkson 2006-02-16 22:53:19 EST
Description of problem:

My Samsung ML-1710 isn't be recognized by cups when I run rawhide.  Normally it
would set the printer up (if plugged in at boot), or after running cupsd restart
(if plugged in later, see bug #168645), but neither of these actions result in a
working printer.

If I run the printer config tool (system-config-printer) the printer isn't
their, and a New Printer dialog prompts me to set up a printer (running it again
to confirm, no Add printer dialog appeared even though there were no printers in
the list).  Moving through the dialog, it finds a printer at /dev/usb/lp0 and
know it's a Samsung ML-1710 and even selects the right print driver, and this
printer (once configure and cups is reloaded) prints fine.  Setting up a printer
shouldn't however be necessary.

What else do you need to know?
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tim Waugh 2006-02-17 04:13:39 EST
hal-cups-utils should be adding this queue when the printer is inserted.
Comment 2 Tim Waugh 2006-12-21 13:36:04 EST
The next test update of hal-cups-utils will provide syslogging, so we'll be able
to diagnose what's going wrong.
Comment 3 Tim Waugh 2007-01-09 06:47:29 EST
Please fetch hal-cups-utils-0.6.5-1.fc6 from updates-testing:

yum --enablerepo=updates-testing update 'hal-cups-utils*'

Once you have it installed, change '*.info' to '*.debug' in /etc/syslog.conf, i.e.:

*.debug;mail.none;authpriv.none;cron.none   /var/log/messages

and restart syslog with '/sbin/service syslog reload'.

Then try plugging in your printer and switching it on, and we should get some
'hal_lpadmin' messages in /var/log/messages.
Comment 4 Rodd Clarkson 2007-02-26 18:12:23 EST
Sorry it's taken so long to do something so simple.

I did what you asked and this is the output I got (which I think might have the
answer you need).  I added the spaces below so that you could see where I
unplugged the printer.

[rodd@localhost ~]$ sudo tail -f /var/log/messages | grep hal_lpadmin
Feb 27 10:09:00 localhost hal_lpadmin: add
Feb 27 10:09:00 localhost hal_lpadmin: URIs:
['hal:///org/freedesktop/Hal/devices/usb_device_4e8_323a_6758_03031848390_if0_printer_noserial']
Feb 27 10:09:06 localhost hal_lpadmin: Prompting for driver for printer ML-1710
Feb 27 10:09:14 localhost hal_lpadmin: configure
Feb 27 10:09:15 localhost hal_lpadmin: File "/usr/libexec/hal_lpadmin", line
198, in main     h = HalLpAdmin()
Feb 27 10:09:15 localhost hal_lpadmin: File "/usr/libexec/hal_lpadmin", line
176, in __init__     self.configurePrinter()
Feb 27 10:09:15 localhost hal_lpadmin: File "/usr/libexec/hal_lpadmin", line
193, in configurePrinter     printer.configure()
Feb 27 10:09:15 localhost hal_lpadmin: File "/usr/libexec/hal_lpadmin", line
150, in configure     ppd = printer.getPPD()
Feb 27 10:09:15 localhost hal_lpadmin: File
"/usr/share/system-config-printer/foomatic.py", line 289, in getPPD     ppdobj =
cups.PPD(fname)
Feb 27 10:09:15 localhost hal_lpadmin: RuntimeError: ppdOpenFile failed
Feb 27 10:09:31 localhost hal_lpadmin: File "/usr/libexec/hal_lpadmin", line
198, in main     h = HalLpAdmin()
Feb 27 10:09:31 localhost hal_lpadmin: File "/usr/libexec/hal_lpadmin", line
172, in __init__     self.addPrinter()
Feb 27 10:09:31 localhost hal_lpadmin: File "/usr/libexec/hal_lpadmin", line
185, in addPrinter     printer.add()
Feb 27 10:09:31 localhost hal_lpadmin: File "/usr/libexec/hal_lpadmin", line
127, in add     self.uid, self.name)
Feb 27 10:09:31 localhost hal_lpadmin: File
"/usr/lib/python2.4/site-packages/dbus/proxies.py", line 25, in __call__     ret
= self._proxy_method (*args, **keywords)
Feb 27 10:09:31 localhost hal_lpadmin: File
"/usr/lib/python2.4/site-packages/dbus/proxies.py", line 102, in __call__    
reply_message = self._connection.send_with_reply_and_block(message, timeout)
Feb 27 10:09:31 localhost hal_lpadmin: File "dbus_bindings.pyx", line 455, in
dbus_bindings.Connection.send_with_reply_and_block
Feb 27 10:09:31 localhost hal_lpadmin: DBusException: Did not receive a reply.
Possible causes include: the remote application did not send a reply, the
message bus security policy blocked the reply, the reply timeout expired, or the
network connection was broken.


Feb 27 10:10:27 localhost hal_lpadmin: remove: taking no action
Feb 27 10:10:27 localhost hal_lpadmin: URIs:
['hal:///org/freedesktop/Hal/devices/usb_device_4e8_323a_6758_03031848390_if0_printer_noserial']
Comment 5 Tim Waugh 2007-03-02 08:28:21 EST
Thanks.

Have you installed the 'splix' driver or something?  What do you get when you
run this command (just paste it into a terminal):

cd /usr/share/system-config-printer
python
import foomatic
f=foomatic.Foomatic()
f.getPPD('Samsung','ML-1710')

I get this:

ERROR: foomatic-ppdfile: Printer 'Samsung-ML-1710' and driver 'splix' are not
compatible
ERROR: foomatic-ppdfile: Driver 'splix' not in database!

but it seems like you're getting something else.
Comment 6 Rodd Clarkson 2007-03-06 05:58:59 EST
In FC7t2 I get:

[rodd@localhost ~]$ cd /usr/share/system-config-printer/
[rodd@localhost system-config-printer]$ python
Python 2.5 (r25:51908, Feb 13 2007, 09:13:49) 
[GCC 4.1.1 20070209 (Red Hat 4.1.1-57)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import foomatic
>>> f=foomatic.Foomatic()
Writing new pickle
>>> f.getPPD('Samsung','ML-1710')
ERROR: foomatic-ppdfile: Printer 'Samsung-ML-1710' and driver 'splix' are not
compatible
ERROR: foomatic-ppdfile: Driver 'splix' not in database!
>>> 

I'll test FC7t2 to see if this just work, and will try to test FC6 when I use it
next.
Comment 7 Rodd Clarkson 2007-03-06 06:08:25 EST
Hmm, I'm not even sure that the printer is being detected when I stick it into
the USB slot, so I'll need to do some testing on this in FC7t2.
Comment 8 Rodd Clarkson 2007-10-31 19:32:08 EDT
Okay, sorry about the lateness of responding.

(I've been having UCB issues with f7 and rawhide, so it's made testing a little
hit and miss, but this seems to have resolved itself.)

I've just tested the same printer on latest rawhide and it just works now, so I
guess this is no longer a bug.


Note You need to log in before you can comment on or make changes to this bug.